tomland-1.3.3.3: Bidirectional TOML serialization

Copyright | (c) 2018-2022 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | None
Language | Haskell2010

Toml.Type.UValue

Description

Intermediate untype value representation used for parsing.

Since: 0.0.0

Synopsis

- data UValue
  - = UBool !Bool
  - | UInteger !Integer
  - | UDouble !Double
  - | UText !Text
  - | UZoned !ZonedTime
  - | ULocal !LocalTime
  - | UDay !Day
  - | UHours !TimeOfDay
  - | UArray ![UValue]
- typeCheck :: UValue -> Either TypeMismatchError AnyValue

# Documentation

data UValue #

Untyped value of `TOML`. You shouldn't use this type in your code. Use `Value` instead.

Since: 0.0.0

Constructors

UBool !Bool |
UInteger !Integer |
UDouble !Double |
UText !Text |
UZoned !ZonedTime |
ULocal !LocalTime |
UDay !Day |
UHours !TimeOfDay |
UArray ![UValue] |

#### Instances

Instances details

Show UValue # |
Instance details Defined in Toml.Type.UValue Methods showsPrec :: Int -> UValue -> ShowS # show :: UValue -> String # showList :: [UValue] -> ShowS #
Eq UValue # | Since: 0.0.0
Instance details Defined in Toml.Type.UValue Methods (==) :: UValue -> UValue -> Bool # (/=) :: UValue -> UValue -> Bool #

typeCheck :: UValue -> Either TypeMismatchError AnyValue #

Ensures that `UValue`s represents type-safe version of `toml`.

Since: 0.0.0